%global momorel 1

Summary: Evolution 2 Synchronization Plug-In for OpenSync
Name: libopensync-plugin-evolution2
Version: 0.22
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://www.opensync.org/
Group: System Environment/Libraries
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: evolution-data-server
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: evolution-devel
BuildRequires: evolution-data-server
BuildRequires: libX11-devel
BuildRequires: libopensync-devel
BuildRequires: libtool
BuildRequires: pkgconfig

%description
This plug-in allows applications using OpenSync to synchronize to and
from Evolution 2.

Additionally install the libopensync package.

%package devel
Summary: Header files, libraries and development documentation for libopensync-plugin-evolution2
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libopensync-devel, evolution-data-server-devel 

%description devel
This package contains the header files, static libraries and
development documentation for libopensync-plugin-evolution2. If you
like to develop programs using libopensync-plugin-evolution2, you will
need to install libopensync-plugin-evolution2-devel.

%prep
%setup -q

autoreconf -sfi

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL README
%{_libdir}/opensync/plugins/evo2_sync.so
%{_datadir}/opensync/defaults/evo2-sync

%files devel
%defattr(-,root,root)
%{_includedir}/opensync-1.0/opensync/evo2_sync.h

%changelog
* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-1m)
- initial package for libopensync
- Summary and %%description are imported from opensuse
